<?php

return [
    'config' => [
        'allocation' => [
            'available' => 'Verfügbare Allocations',
            'header' => 'Server Allocations',
            'header_sub' => 'Verfügbare IPs und Ports für diesen Server verwalten.',
            'help' => 'Allocation Help',
            'help_text' => 'Die Liste auf der linken Seite zeigt alle verfügbaren IPs und Ports, die für eingehende Verbindungen auf diesem Server geöffnet sind.',
        ],
        'database' => [
            'add_db' => 'Datenbank hinzufügen.',
            'header' => 'Datenbanken',
            'header_sub' => 'Alle für diesen Server verfügbaren Datenbanken.',
            'host' => 'MySQL Host',
            'no_dbs' => 'Du hast leider keine Datenbanken.',
            'reset_password' => 'Passwort zurücksetzen',
            'your_dbs' => 'Deine Datenbanken',
        ],
        'sftp' => [
            'change_pass' => 'Passwort ändern',
            'conn_addr' => 'Verbindungsadresse',
            'details' => 'SFTP Details',
            'header' => 'SFTP Information',
            'header_sub' => 'Details für eine SFTP Verbindung.',
            'warning' => 'Bitte benutze SFTP und nicht FTP!.',
        ],
        'startup' => [
            'command' => 'Startbefehl',
            'edited' => 'Die Einstellungen wurden gespeichert und werden beim nächsten Serverstart verwendet.',
            'edit_params' => 'Parameter bearbeiten',
            'header' => 'Start Konfiguration',
            'header_sub' => 'Bearbeite die Startparameter des Serves.',
            'startup_regex' => 'Input Regeln',
            'startup_var' => 'Startbefehl Variablen',
            'update' => 'Absenden',
        ],
    ],
    'files' => [
        'add' => [
            'create' => 'Datei erstellen',
            'header' => 'Neue Datei',
            'header_sub' => 'Erstelle eine neue Datei auf deinem Server.',
            'name' => 'Dateiname',
        ],
        'add_folder' => 'Neuen Ordner erstellen',
        'add_new' => 'Neue Datei erstellen',
        'back' => 'Zurück zum Datei-Manager',
        'delete' => 'Löschen',
        'edit' => [
            'header' => 'Datei bearbeiten',
            'header_sub' => 'Bearbeite Dateien direkt vom Browser aus.',
            'return' => 'Zurück zum Datei Manager',
            'save' => 'Datei speichern',
        ],
        'exceptions' => [
            'invalid_mime' => 'Diese Datei kann leider nicht bearbeitet werden',
            'max_size' => 'Diese Datei ist zu groß um bearbeitet zu werden.',
        ],
        'file_name' => 'Dateiname',
        'header' => 'Datei Manager',
        'header_sub' => 'Verwalte deine Dateien.',
        'last_modified' => 'Zuletzt bearbeitet',
        'loading' => 'Dateistruktur wird geladen, dies kann einige Sekunden dauern.',
        'mass_actions' => 'Massenaktionen',
        'path' => 'Wenn du Ordner erstellst solltest du :path als Basis Ordner verwenden! Der maximale Upload beträgt: :size.',
        'saved' => 'Die Datei wurde erfolgreich gespeichert.',
        'seconds_ago' => 'Sekunden her',
        'size' => 'Größe',
        'yaml_notice' => 'Du bearbeitest gerade eine YAML Datei. Diese Dateien akzeptieren keine Tabs sondern nur Leerzeichen. Deshalb wird die Tab Taste automatisch :dropdown Leerzeichen einfügen.',
    ],
    'index' => [
        'add_new' => 'Füge einen Server hinzu',
        'allocation' => 'Zuweisung',
        'connection' => 'Standardverbindung',
        'control' => 'Server verwalten',
        'cpu_use' => 'CPU Auslastung',
        'disk_space' => 'Festplattenspeicher',
        'header' => 'Serverkonsole',
        'header_sub' => 'Kontrollieren Sie Ihren Server in Echtzeit.',
        'memory_use' => 'Arbeitsspeicherverbrauch',
        'mem_limit' => 'Arbeitsspeicherlimit.',
        'server_info' => 'Server-Informationen',
        'title' => 'Server :name',
        'usage' => 'Nutzung',
    ],
    'schedule' => [
        'actions' => [
            'command' => 'Befehl ausführen',
            'power' => 'Power Aktion',
        ],
        'current' => 'Derzeitige Aktionen',
        'day_of_month' => 'Tag eines Monats',
        'day_of_week' => 'Tag einer Woche',
        'header' => 'Zeitplan Manager',
        'header_sub' => 'Erstelle geplante Aktionen.',
        'hour' => 'Stunde des Tages',
        'manage' => [
            'delete' => 'Aktion löschen',
            'header' => 'Aktion verwalten',
            'submit' => 'Aktion bearbeiten',
        ],
        'minute' => 'Minute der Stunde',
        'new' => [
            'header' => 'Neue Aktion erstellen',
            'header_sub' => 'Erstelle eine neue Gruppe an Aktionen.',
            'submit' => 'Aktion erstellen',
        ],
        'run_now' => 'Zeitplan jetzt ausführen',
        'schedule_created' => 'Neuen Zeitplan für diesen Server erfolgreich erstellt.',
        'schedule_updated' => 'Der Zeitplan wurde aktualisiert.',
        'setup' => 'Zeitplan Erstellung',
        'task' => [
            'action' => 'Aktion ausführen',
            'add_more' => 'Weitere Aktion',
            'payload' => 'Mit Payload',
            'time' => 'Nach',
        ],
        'task_help' => 'Zeiten für Aufgaben sind relativ zu der zuvor definierten Aufgabe. Jedem Zeitplan dürfen nicht mehr als 5 Aufgaben zugewiesen sein und Aufgaben dürfen nicht mehr als 15 Minuten voneinander entfernt liegen.',
        'time_help' => 'Dieses System unterstützt dern Cronjob Syntax.',
        'toggle' => 'Status wechseln',
        'unnamed' => 'Unbenannter Zeitplan',
    ],
    'tasks' => [
        'actions' => [
            'command' => 'Befehl ausführen',
            'power' => 'Power Aktion senden',
        ],
        'current' => 'Aktuelle Aktionen',
        'edit' => [
            'header' => 'Aktion bearbeiten',
            'submit' => 'Abschicken',
        ],
        'header' => 'Geplante Aufgaben',
        'header_sub' => 'Automatisiere deinen Server.',
        'new' => [
            'chain_arguments' => 'With Arguments',
            'chain_do' => 'Do',
            'chain_then' => 'Then, After',
            'custom' => 'Benutzerdefinierter Wert',
            'day_of_month' => 'Tag eines Monats',
            'day_of_week' => 'Tag einer Woche',
            'fri' => 'Freitag',
            'header' => 'Neue Aktion',
            'header_sub' => 'Neuen Aktion erstellen.',
            'hour' => 'Stunde',
            'minute' => 'Minute',
            'mon' => 'Montag',
            'payload' => 'Task Payload',
            'payload_help' => 'Wenn du die Befehl ausführen Methode ausgewählt hast, wird ein Befehl zur angegebenen Zeit ausgeführt.',
            'sat' => 'Samstag',
            'submit' => 'Absenden',
            'sun' => 'Sonntag',
            'task_name' => 'Name',
            'thurs' => 'Donnerstag',
            'tues' => 'Dienstag',
            'type' => 'Typ',
            'wed' => 'Mittwoch',
        ],
        'new_task' => 'Neue Aufgabe hinzufügen',
        'task_created' => 'Aktion erfolgreich erstellt.',
        'task_updated' => 'Aktion bearbeitet.',
        'toggle' => 'Status ändern',
    ],
    'users' => [
        'add' => 'Neuen Benutzer erstellen',
        'configure' => 'Rechte einstellen',
        'edit' => [
            'header' => 'Benutzer bearbeiten',
            'header_sub' => 'Verwalte den Zugriff eines Benutzers auf diesen Server.',
        ],
        'header' => 'Benutzer verwalten',
        'header_sub' => 'Bestimme wer den Server verwalten kann.',
        'list' => 'Account Liste',
        'new' => [
            'access_sftp' => [
                'description' => 'Ermöglicht dem Benutzer, eine Verbindung mit dem vom Daemon bereitgestellten SFTP-Server herzustellen.',
                'title' => 'SFTP-Verbindung erlauben',
            ],
            'command' => [
                'title' => 'Konsolenbefehl senden',
            ],
            'compress_files' => [
                'description' => 'Der User darf die Server-Dateien komprimieren(zip).',
                'title' => 'Dateien komprimieren',
            ],
            'copy_files' => [
                'description' => 'Der User darf die Server-Dateien kopieren.',
                'title' => 'Dateien kopieren',
            ],
            'create_database' => [
                'description' => 'Ermöglicht es dem Benutzer, für diesen Server zusätzliche Datenbanken zu erstellen.',
                'title' => 'Datenbank erstellen',
            ],
            'create_files' => [
                'description' => 'Der User darf Server-Dateien erstellen.',
                'title' => 'Dateien erstellen',
            ],
            'create_schedule' => [
                'description' => 'Der User darf geplante Aktionen für den Server erstellen.',
                'title' => 'Aktionen erstellen',
            ],
            'create_subuser' => [
                'description' => 'Der User darf Subuser erstellen.',
                'title' => 'Subuser erstellen',
            ],
            'create_task' => [
                'description' => 'Ermöglicht es einem Benutzer, neue Aufgaben zu erstellen.',
                'title' => 'Aufgabe erstellen',
            ],
            'database_header' => 'Datenbank Verwaltung',
            'db_header' => 'Datenbankverwaltung',
            'decompress_files' => [
                'description' => 'Der Benutzer darf ZIP Archive entpacken.',
                'title' => 'Dateien entpacken',
            ],
            'delete_database' => [
                'description' => 'Ermöglicht es dem Benutzer, Datenbanken für diesen Server über das Panel zu löschen.',
                'title' => 'Datenbank löschen',
            ],
            'delete_files' => [
                'description' => 'Der Benutzer darf Server-Dateien löschen.',
                'title' => 'Dateien löschen',
            ],
            'delete_schedule' => [
                'description' => 'Der Benutzer darf geplante Aktionen für den Server löschen.',
                'title' => 'Aktionen löschen',
            ],
            'delete_subuser' => [
                'description' => 'Der Benutzer darf Subuser löschen.',
                'title' => 'Subuser löschen',
            ],
            'delete_task' => [
                'description' => 'Ermöglicht es dem Benutzer, eine Aufgabe zu löschen.',
                'title' => 'Aufgabe löschen',
            ],
            'download_files' => [
                'description' => 'Der Benutzer darf Server-Dateien herunterladen.',
                'title' => 'Dateien herunterladen',
            ],
            'edit_allocation' => [
                'description' => 'Ermöglicht es dem Benutzer, die IP:Port Adresse für einen Server zu ändern.',
                'title' => 'Standardverbindung bearbeiten',
            ],
            'edit_files' => [
                'description' => 'Der Benutzer darf die Server-Dateien bearbeiten.',
                'title' => 'Dateien bearbeiten',
            ],
            'edit_schedule' => [
                'description' => 'Der Benutzer darf geplante Aktionen für den Server bearbeiten.',
                'title' => 'Aktionen bearbeiten',
            ],
            'edit_startup' => [
                'description' => 'Ermöglicht einem Benutzer, Startvariablen für einen Server zu ändern.',
                'title' => 'Startbefehl bearbeiten',
            ],
            'edit_subuser' => [
                'description' => 'Der Benutzer darf Subuser bearbeiten.',
                'title' => 'Subuser bearbeiten',
            ],
            'email' => 'E-Mail Adresse',
            'email_help' => 'Email Adresse für Einladungs Mail.',
            'file_header' => 'Dateien Verwaltung',
            'header' => 'Neuen Benutzer erstellen',
            'header_sub' => 'Erstelle einen neuen Benutzer und gebe ihm Zugriff auf diesen Server.',
            'kill' => [
                'description' => 'Ermöglicht es dem Benutzer, den Serverprozess zu töten.',
                'title' => 'Server sofort beenden',
            ],
            'list_files' => [
                'description' => 'Der Benutzer darf die Server-Dateien sehen.',
                'title' => 'Dateien anzeigen',
            ],
            'list_schedules' => [
                'description' => 'Der Benutzer darf geplante Aktionen für den Server sehen.',
                'title' => 'Geplante Aktionen anzeigen',
            ],
            'list_subusers' => [
                'description' => 'Der Benutzer darf Subuser sehen.',
                'title' => 'Subusers anzeigen',
            ],
            'list_tasks' => [
                'title' => 'Aufgaben auflisten',
            ],
            'move_files' => [
                'description' => 'Der Benutzer darf die Server-Dateien umbenennen und verschieben.',
                'title' => 'Dateien umbenennen & verschieben',
            ],
            'power_header' => 'Power Verwaltung',
            'power_kill' => [
                'description' => 'Der Benutzer darf den Prozess des Servers töten.',
                'title' => 'Kill Server',
            ],
            'power_restart' => [
                'description' => 'Der Benutzer darf den Server neu starten.',
                'title' => 'Server neu starten',
            ],
            'power_start' => [
                'description' => 'Der Benutzer darf den Server starten.',
                'title' => 'Server starten',
            ],
            'power_stop' => [
                'description' => 'Der Benutzer darf den Server stoppen.',
                'title' => 'Server stoppen',
            ],
            'queue_schedule' => [
                'description' => 'Ermöglicht einem Benutzer, einen Zeitplan in die Warteschlange zu stellen.',
                'title' => 'Queue Schedule',
            ],
            'queue_task' => [
                'title' => 'Aufgabe einreihen',
            ],
            'reset_db_password' => [
                'description' => 'Der Benutzer darf das Datenbankpasswort zurücksetzen.',
                'title' => 'Datenbank Passwort zurücksetzen ',
            ],
            'reset_sftp' => [
                'description' => 'Der Benutzer darf dass SFTP Passwort zurücksetzen.',
                'title' => 'SFTP Passwort zurücksetzen',
            ],
            'restart' => [
                'description' => 'Der Benutzer darf den Server neu starten.',
                'title' => 'Server neu starten',
            ],
            'save_files' => [
                'description' => 'Der Benutzer darf bearbeitete Server-Dateien speichern.',
                'title' => 'Dateien speichern',
            ],
            'send_command' => [
                'description' => 'Der Benutzer darf die Konsole benutzen.',
                'title' => 'Konsolenbefehle senden',
            ],
            'server_header' => 'Server Verwaltung',
            'set_connection' => [
                'title' => 'Standard-Verbindung festlegen',
            ],
            'sftp_header' => 'SFTP Verwaltung',
            'start' => [
                'description' => 'Der Benutzer darf den Server starten.',
                'title' => 'Server starten',
            ],
            'stop' => [
                'description' => 'Der Benutzer darf den Server stoppen.',
                'title' => 'Server stoppen',
            ],
            'subuser_header' => 'Subuser Verwaltung',
            'task_header' => 'Aktion Verwaltung',
            'toggle_schedule' => [
                'description' => 'Der Benutzer darf geplante Aktionen für den Server de-/aktivieren.',
                'title' => 'De-/Aktivieren von Aktionen',
            ],
            'toggle_task' => [
                'description' => 'Der Benutzer darf geplante Aufgaben für den Server de-/aktivieren.',
            ],
            'upload_files' => [
                'description' => 'Der Benutzr darf Server-Dateien hochladen.',
                'title' => 'Dateien hochladen',
            ],
            'view_allocations' => [
                'description' => 'Ermöglicht dem Benutzer, alle einem Server zugewiesenen IPs und Ports anzuzeigen.',
                'title' => 'Zugewiesen IPs und Ports anzeigen',
            ],
            'view_databases' => [
                'description' => 'Der Benutzer darf die Datenbankinformationen sehen.',
                'title' => 'Datenbankinformationen anzeigen',
            ],
            'view_schedule' => [
                'description' => 'Der Benutzer darf Aktionen ansehen.',
                'title' => 'Aktionen anzeigen',
            ],
            'view_sftp' => [
                'description' => 'Der User darf die SFTP Informationen sehen (nicht das Passwort).',
                'title' => 'SFTP Informationen anzeigen',
            ],
            'view_sftp_password' => [
                'description' => 'Der Benutzer darf dass SFTP Passwort sehen.',
                'title' => 'SFTP Password anzeigen',
            ],
            'view_startup' => [
                'description' => 'Ermöglicht dem Benutzer, den Startbefehl und zugehörige Variablen für einen Server anzuzeigen.',
                'title' => 'Startbefehl anzeigen',
            ],
            'view_subuser' => [
                'description' => 'Der Benutzer darf Subuser genauer sehen.',
                'title' => 'View Subuser',
            ],
            'view_task' => [
                'description' => 'Der Benutzer darf Aufgaben ansehen.',
                'title' => 'Aufgaben ansehen',
            ],
        ],
        'update' => 'Benutzer bearbeiten',
        'user_assigned' => 'Benutzer zum Server hinzugefügt.',
        'user_updated' => 'Benutzer Rechte erfolgreich aktualisiert.',
    ],
];
