<?php

return [
    'index' => [
        'title' => 'Affichage du serveur :name',
        'header' => 'Console du serveur',
        'header_sub' => 'Contrôlez votre serveur en temps réel.',
    ],
    'schedule' => [
        'header' => 'Gestion planification',
        'header_sub' => 'Gérer toutes les planifications de ce serveur en un seul endroit.',
        'current' => 'Planification actuels',
        'new' => [
            'header' => 'Créer une nouvel planification',
            'header_sub' => 'Créez un nouvel ensemble de tâches planifiées pour ce serveur.',
            'submit' => 'Créer une planification',
        ],
        'manage' => [
            'header' => 'Gérer la planification',
            'submit' => 'Mise à jour de la planification',
            'delete' => 'Supprimer la planification',
        ],
        'task' => [
            'time' => 'Après',
            'action' => 'Faire une action',
            'payload' => 'Commande',
            'add_more' => 'Ajouter une autre tâche',
        ],
        'actions' => [
            'command' => 'Envoyer la commande',
            'power' => 'Action d\'alimentation',
        ],
        'toggle' => 'Basculer le statut',
        'run_now' => 'Déclencher planification',
        'schedule_created' => 'Création réussie d\'une nouvelle planification pour ce serveur',
        'schedule_updated' => 'La planification a été mis à jour',
        'unnamed' => 'Planification sans nom',
        'setup' => 'Configuration de la planification',
        'day_of_week' => 'Jour de la semaine',
        'day_of_month' => 'Jour du mois',
        'hour' => 'Heure du jour',
        'minute' => 'Minute d\'heure',
        'time_help' => 'Le système de planification prend en charge l\'utilisation de la syntaxe Cronjob lors de la définition du moment où les tâches doivent commencer à s\'exécuter. Utilisez les champs ci-dessus pour spécifier quand ces tâches doivent commencer à s\'exécuter ou sélectionnez des options dans les différents menus de sélection.',
        'task_help' => 'Les durées des tâches sont relatives à la tâche précédemment définie. Chaque programme ne peut pas avoir plus de 5 tâches assignées et les tâches ne peuvent pas être programmées à plus de 15 minutes d\'intervalle.',
    ],
    'tasks' => [
        'task_created' => 'Création réussie d\'une nouvelle tâche sur le Panel.',
        'task_updated' => 'La tâche a été mise à jour avec succès. Toutes les actions de tâche actuellement en file d\'attente seront annulées et relancées à l\'heure définie suivante.',
        'header' => 'Tâches planifiées',
        'header_sub' => 'Automatisez votre serveur.',
        'current' => 'Tâches planifiées actuelles',
        'actions' => [
            'command' => 'Envoyer la commande',
            'power' => 'Envoyer l\'option d\'alimentation',
        ],
        'new_task' => 'Ajouter une nouvelle tâche',
        'toggle' => 'Basculer le statut',
        'new' => [
            'header' => 'Nouvelle tâche',
            'header_sub' => 'Créez une nouvelle tâche planifiée pour ce serveur.',
            'task_name' => 'Nom de la tâche',
            'day_of_week' => 'Jour de la semaine',
            'custom' => 'Valeur personnalisée',
            'day_of_month' => 'Jour du mois',
            'hour' => 'Heure',
            'minute' => 'Minute',
            'sun' => 'Dimanche',
            'mon' => 'Lundi',
            'tues' => 'Mardi',
            'wed' => 'Mercredi',
            'thurs' => 'Jeudi',
            'fri' => 'Vendredi',
            'sat' => 'Samedi',
            'submit' => 'Créer une tâche',
            'type' => 'Type de tâche',
            'chain_then' => 'Then, After',
            'chain_do' => 'Faire',
            'chain_arguments' => 'avec les arguments',
            'payload' => 'Charge utile de tâche',
            'payload_help' => 'Par exemple, si vous avez sélectionné <code> Envoyer la commande </code> Entrez la commande ici. Si vous avez sélectionné <code> Envoyer l\'option d\'alimentation </code>, placez l\'action d\'alimentation ici (par exemple <code> restart </code>).',
        ],
        'edit' => [
            'header' => 'Gérer la tâche',
            'submit' => 'Mise à jour',
        ],
    ],
    'users' => [
        'header' => 'Gérer les utilisateurs',
        'header_sub' => 'Contrôlez qui peut accéder à votre serveur.',
        'configure' => 'Configurer les permissions',
        'list' => 'Comptes avec accès',
        'add' => 'Ajouter un nouveau sous-utilisateurr',
        'update' => 'Mettre à jour le sous-utilisateur',
        'user_assigned' => 'Ajout avec succès d\'un nouveau sous-utilisateur à ce serveur.',
        'user_updated' => 'Permissions mises à jour avec succès',
        'edit' => [
            'header' => 'Modifier le sous-utilisateur',
            'header_sub' => 'Modifier l\'accès des utilisateurs au serveur.',
        ],
        'new' => [
            'header' => 'Ajouter un nouvel utilisateur',
            'header_sub' => 'Ajouter un nouvel utilisateur avec des autorisations sur ce serveur.',
            'email' => 'Adresse Email',
            'email_help' => 'Entrez l\'adresse e-mail de l\'utilisateur que vous souhaitez inviter à gérer ce serveur.',
            'power_header' => 'Gestion de l\'alimentation',
            'file_header' => 'Gestion de fichiers',
            'subuser_header' => 'Gestion des sous-utilisateurs',
            'server_header' => 'Gestion de serveur',
            'task_header' => 'Gestion planification',
            'database_header' => 'Gestion de base de données',
            'power_start' => [
                'title' => 'Démarrer le serveur',
                'description' => 'Permet à l\'utilisateur de démarrer le serveur.',
            ],
            'power_stop' => [
                'title' => 'Arrêter le serveur',
                'description' => 'Permet à l\'utilisateur d\'arrêter le serveur.',
            ],
            'power_restart' => [
                'title' => 'Redémarrer le serveur',
                'description' => 'Permet à l\'utilisateur de redémarrer le serveur.',
            ],
            'power_kill' => [
                'title' => 'Kill le serveur',
                'description' => 'Permet à l\'utilisateur de tuer le processus serveur.',
            ],
            'send_command' => [
                'title' => 'Envoyer une commande de console',
                'description' => 'Permet d\'envoyer une commande depuis la console. Si l\'utilisateur n\'a pas d\'autorisations d\'arrêt ou de redémarrage, il ne peut pas envoyer la commande d\'arrêt de l\'application.',
            ],
            'access_sftp' => [
                'title' => 'SFTP autorisé',
                'description' => 'Permet à l\'utilisateur de se connecter au serveur SFTP fourni par le démon.',
            ],
            'list_files' => [
                'title' => 'Liste des fichiers',
                'description' => 'Permet à l\'utilisateur de répertorier tous les fichiers et dossiers du serveur, mais pas de voir le contenu du fichier.',
            ],
            'edit_files' => [
                'title' => 'Modifier les fichiers',
                'description' => 'Permet à l\'utilisateur d\'ouvrir un fichier pour le visionner uniquement. SFTP n\'est pas affecté par cette permission.',
            ],
            'save_files' => [
                'title' => 'Enregistrer des fichiers',
                'description' => 'Permet à l\'utilisateur d\'enregistrer le contenu du fichier modifié. SFTP n\'est pas affecté par cette permission.',
            ],
            'move_files' => [
                'title' => 'Renommer et déplacer des fichiers',
                'description' => 'Permet à l\'utilisateur de déplacer et renommer des fichiers et des dossiers sur le système de fichiers.',
            ],
            'copy_files' => [
                'title' => 'Copier des fichiers',
                'description' => 'Permet à l\'utilisateur de copier des fichiers et des dossiers sur le système de fichiers.',
            ],
            'compress_files' => [
                'title' => 'Compresser des fichiers',
                'description' => 'Permet à l\'utilisateur de créer des archives de fichiers et de dossiers sur le système.',
            ],
            'decompress_files' => [
                'title' => 'Décompresser des fichiers',
                'description' => 'Permet à l\'utilisateur de décompresser les archives .zip et .tar (.gz).',
            ],
            'create_files' => [
                'title' => 'Créer des fichiers',
                'description' => 'Permet à l\'utilisateur de créer un nouveau fichier dans le panel.',
            ],
            'upload_files' => [
                'title' => 'Envoyé des fichiers',
                'description' => 'Permet à l\'utilisateur de télécharger des fichiers via le gestionnaire de fichiers.',
            ],
            'delete_files' => [
                'title' => 'Supprimer les fichiers',
                'description' => 'Permet à l\'utilisateur de supprimer des fichiers du système.',
            ],
            'download_files' => [
                'title' => 'Télécharger des fichiers',
                'description' => 'Permet à l\'utilisateur de télécharger des fichiers. Si un utilisateur obtient cette autorisation, il peut télécharger et afficher le contenu du fichier même si cette autorisation n\'est pas affectée au panel.',
            ],
            'list_subusers' => [
                'title' => 'Liste des sous-utilisateurs',
                'description' => 'Permet à l\'utilisateur d\'afficher une liste de tous les sous-utilisateurs affectés au serveur.',
            ],
            'view_subuser' => [
                'title' => 'Voir le sous-utilisateur',
                'description' => 'Permet à l\'utilisateur d\'afficher les autorisations affectées aux sous-utilisateurs',
            ],
            'edit_subuser' => [
                'title' => 'Modifier le sous-utilisateur',
                'description' => 'Permet à un utilisateur de modifier les autorisations affectées à d\'autres sous-utilisateurs.',
            ],
            'create_subuser' => [
                'title' => 'Créer un sous-utilisateur',
                'description' => 'Permet à l\'utilisateur de créer des sous-utilisateurs supplémentaires sur le serveur.',
            ],
            'delete_subuser' => [
                'title' => 'Supprimer un sous-utilisateur',
                'description' => 'Permet à un utilisateur de supprimer d\'autres sous-utilisateurs sur le serveur.',
            ],
            'view_allocations' => [
                'title' => 'Afficher les allocations',
                'description' => 'Permet à l\'utilisateur d\'afficher toutes les adresses IP et tous les ports affectés à un serveur.',
            ],
            'edit_allocation' => [
                'title' => 'Modifier la connexion par défaut',
                'description' => 'Permet à l\'utilisateur de modifier l\'allocation de connexion par défaut à utiliser pour un serveur.',
            ],
            'view_startup' => [
                'title' => 'Afficher la commande de démarrage',
                'description' => 'Permet à l\'utilisateur d\'afficher la commande de démarrage et les variables associées pour un serveur.',
            ],
            'edit_startup' => [
                'title' => 'Modifier la commande de démarrage',
                'description' => 'Permet à un utilisateur de modifier les variables de démarrage pour un serveur.',
            ],
            'list_schedules' => [
                'title' => 'Liste des planification',
                'description' => 'Permet à un utilisateur de répertorier toutes les planification (activés et désactivés) pour ce serveur.',
            ],
            'view_schedule' => [
                'title' => 'Voir la planification',
                'description' => 'Permet à un utilisateur d\'afficher les détails d\'une planification spécifique, y compris toutes les tâches affectées.',
            ],
            'toggle_schedule' => [
                'title' => 'Basculer planification',
                'description' => 'Permet à un utilisateur de basculer une planification pour qu\'elle soit active ou inactive.',
            ],
            'queue_schedule' => [
                'title' => 'File d\'attente planification',
                'description' => 'Permet à un utilisateur de mettre en file d\'attente un planning pour exécuter ses tâches sur le cycle de processus suivant.',
            ],
            'edit_schedule' => [
                'title' => 'Modifier la planification',
                'description' => 'Permet à un utilisateur de modifier un planning incluant toutes les tâches du planning. Cela permettra à l\'utilisateur de supprimer des tâches individuelles, mais pas de supprimer la planification elle-même.',
            ],
            'create_schedule' => [
                'title' => 'Créer une planification',
                'description' => 'Permet à un utilisateur de créer une nouvel planification.',
            ],
            'delete_schedule' => [
                'title' => 'Supprimer planification',
                'description' => 'Permet à un utilisateur de supprimer une planification du serveur.',
            ],
            'view_databases' => [
                'title' => 'Afficher les détails de bases de données',
                'description' => 'Permet à l\'utilisateur d\'afficher toutes les bases de données associées à ce serveur, y compris les noms d\'utilisateur et les mots de passe des bases de données.',
            ],
            'reset_db_password' => [
                'title' => 'Réinitialiser mot de passe bases de données',
                'description' => 'Permet à un utilisateur de réinitialiser les mots de passe pour les bases de données.',
            ],
            'delete_database' => [
                'title' => 'Supprimer les bases de données',
                'description' => 'Permet à un utilisateur de supprimer des bases de données pour ce serveur à partir du Panel.',
            ],
            'create_database' => [
                'title' => 'Créer une base de données',
                'description' => 'Permet à un utilisateur de créer des bases de données supplémentaires pour ce serveur.',
            ],
        ],
    ],
    'allocations' => [
        'mass_actions' => 'Actions de masse',
        'delete' => 'Supprimer les allocations',
    ],
    'files' => [
        'exceptions' => [
            'invalid_mime' => 'Ce type de fichier ne peut pas être édité via l\'éditeur intégré du Panel.',
            'max_size' => 'Ce fichier est trop volumineux pour être édité via l\'éditeur intégré du Panel.',
        ],
        'header' => 'Gestionnaire de fichiers',
        'header_sub' => 'Gérez tous vos fichiers directement depuis le web.',
        'loading' => 'Chargement de la structure initiale du fichier, cela peut prendre quelques secondes.',
        'path' => 'Lorsque vous configurez des chemins de fichier dans les plugins ou les paramètres de votre serveur, utilisez :path comme votre chemin de base. La taille maximale des téléchargements de fichiers Web sur ce noeud est de :size.',
        'seconds_ago' => 'Il y a quelques instants',
        'file_name' => 'Nom de fichier',
        'size' => 'Taille',
        'last_modified' => 'Dernière modification',
        'add_new' => 'Ajouter un nouveau fichier',
        'add_folder' => 'Ajouter un nouveau dossier',
        'mass_actions' => 'Actions de masse',
        'delete' => 'Supprimer les fichiers',
        'edit' => [
            'header' => 'Modifier le fichier',
            'header_sub' => 'Apportez des modifications à un fichier sur le Web.',
            'save' => 'Enregistrer le fichier',
            'return' => 'Retourner au gestionnaire de fichiers',
        ],
        'add' => [
            'header' => 'Nouveau fichier',
            'header_sub' => 'Créez un nouveau fichier sur votre serveur.',
            'name' => 'Nom de fichier',
            'create' => 'Créer un fichier',
        ],
    ],
    'config' => [
        'name' => [
            'header' => 'Nom du serveur',
            'header_sub' => 'Changez le nom de ce serveur.',
            'details' => 'Le nom du serveur est uniquement une référence à ce serveur sur le panel et n\'affecte pas les configurations spécifiques au serveur susceptibles d\'être affichées par les utilisateurs dans les jeux.',
        ],
        'startup' => [
            'header' => 'Configuration de démarrage',
            'header_sub' => 'Contrôlez les arguments de démarrage du serveur.',
            'command' => 'Commande de démarrage',
            'edit_params' => 'Modifier les paramètres',
            'update' => 'Mettre à jour les paramètres de démarrage',
            'startup_regex' => 'Règles d\'entrée',
            'edited' => 'Les variables de démarrage ont été modifiées avec succès. Ils entreront en vigueur la prochaine fois que ce serveur sera démarré.',
        ],
        'sftp' => [
            'header' => 'Configuration SFTP',
            'header_sub' => 'Détails du compte pour les connexions SFTP.',
            'details' => 'Détails SFTP',
            'conn_addr' => 'Adresse de connexion',
            'warning' => 'Le mot de passe SFTP est le mot de passe de votre compte. Assurez-vous que votre client est configuré pour utiliser SFTP et non FTP ou FTPS pour les connexions, il y a une différence entre les protocoles.',
        ],
        'database' => [
            'header' => 'Bases de données',
            'header_sub' => 'Toutes les bases de données disponibles pour ce serveur.',
            'your_dbs' => 'Bases de données configurées',
            'host' => 'Hôte MySQL',
            'reset_password' => 'Réinitialiser le mot de passe',
            'no_dbs' => 'Aucune base de données répertoriée pour ce serveur.',
            'add_db' => 'Ajouter une nouvelle base de données',
        ],
        'allocation' => [
            'header' => 'Allocations de serveur',
            'header_sub' => 'Contrôlez les adresses IP et les ports disponibles sur ce serveur.',
            'available' => 'Allocations disponibles',
            'help' => 'Aide à l\'allocation',
            'help_text' => 'La liste à gauche comprend toutes les adresses IP et ports disponibles que votre serveur utilisera pour les connexions entrantes.',
        ],
    ],
];
