<?php

return [
    'validation_error' => 'Произошла ошибка с одним или несколькими полями в запросе.',
    'errors' => [
        'return' => 'Вернуться на предыдущую страницу',
        'home' => 'Домой',
        '403' => [
            'header' => 'Запрещено',
            'desc' => 'У вас нет прав доступа к ресурсам на этом сервере.',
        ],
        '404' => [
            'header' => 'Файл не найден',
            'desc' => 'Нам не удалось найти запрошенный ресурс на сервере.',
        ],
        'installing' => [
            'header' => 'Установка сервера',
            'desc' => 'Запрошенный сервер все еще завершает процесс установки. Пожалуйста, зайдите через несколько минут, вы должны получить электронное письмо, как только этот процесс будет завершен.',
        ],
        'suspended' => [
            'header' => 'Сервер приостановлен',
            'desc' => 'Этот сервер был приостановлен и недоступен.',
        ],
        'maintenance' => [
            'header' => 'Узел в обслуживании',
            'title' => 'Временно недоступен',
            'desc' => 'Этот узел находится на обслуживании, поэтому ваш сервер может быть временно недоступен.',
        ],
    ],
    'index' => [
        'header' => 'Ваши серверы',
        'header_sub' => 'Серверы, к которым у вас есть доступ.',
        'list' => 'Список серверов',
    ],
    'api' => [
        'index' => [
            'list' => 'Ваши ключи',
            'header' => 'API аккаунта',
            'header_sub' => 'Управляйте клавишами доступа, которые позволяют вам выполнять действия с панелью.',
            'create_new' => 'Создать новый ключ API',
            'keypair_created' => 'Ключ API был успешно сгенерирован и показан ниже.',
        ],
        'new' => [
            'header' => 'овый ключ API',
            'header_sub' => 'Создайте новый ключ доступа к учетной записи.',
            'form_title' => 'Подробности',
            'descriptive_memo' => [
                'title' => 'Описание',
                'description' => 'Введите краткое описание этого ключа, которое будет полезно для справки.',
            ],
            'allowed_ips' => [
                'title' => 'Разрешенные IP-адреса',
                'description' => 'Введите разделенный строкой список IP-адресов, которым разрешен доступ к API с помощью этого ключа. Нотация CIDR разрешена. Оставьте пустым, чтобы разрешить любой IP.',
            ],
        ],
    ],
    'account' => [
        'details_updated' => 'Данные вашей учетной записи успешно обновлены.',
        'invalid_password' => 'Пароль для вашей учетной записи недействителен.',
        'header' => 'Ваш аккаунт',
        'header_sub' => 'Управляйте данными своей учетной записи.',
        'update_pass' => 'Обновить пароль',
        'update_email' => 'Обновить адрес электронной почты',
        'current_password' => 'Текущий пароль',
        'new_password' => 'Новый пароль',
        'new_password_again' => 'Повторите новый пароль',
        'new_email' => 'Новый E-mail адрес',
        'first_name' => 'Имя',
        'last_name' => 'Фамилия',
        'update_identity' => 'Обновить данные',
        'username_help' => 'Ваше имя пользователя должно быть уникальным для вашей учетной записи и может содержать только следующие символы: :requirements.',
        'language' => 'Язык',
    ],
    'security' => [
        'session_mgmt_disabled' => 'Ваш хост не включил возможность управлять сеансами аккаунта через этот интерфейс.',
        'header' => 'Безопасность аккаунта',
        'header_sub' => 'Контроль активных сессий и 2-х факторной аутентификации.',
        'sessions' => 'Активная сессия',
        '2fa_header' => '2-х факторная аутентификация',
        '2fa_token_help' => 'Введите токен 2FA, созданный вашим приложением (Google Authenticator, Authy, и так далее.).',
        'disable_2fa' => 'Отключить двухфакторную аутентификацию',
        '2fa_enabled' => 'В этой учетной записи включена двухфакторная аутентификация, которая потребуется для входа в панель. Если вы хотите отключить 2FA, просто введите действительный токен ниже и отправьте форму.',
        '2fa_disabled' => 'Двухфакторная аутентификация отключена на вашем аккаунте! Вы должны включить 2FA, чтобы добавить дополнительный уровень защиты для вашей учетной записи.',
        'enable_2fa' => 'Включить двухфакторную аутентификацию',
        '2fa_qr' => 'Настройте 2FA на вашем устройстве',
        '2fa_checkpoint_help' => 'Используйте приложение 2FA на своем телефоне, чтобы сделать снимок QR-кода, или вручную введите код под ним. После этого сгенерируйте токен и введите его ниже.',
        '2fa_disable_error' => 'Указанный токен 2FA недействителен. Защита не была отключена для этой учетной записи.',
    ],
];
