<?php

return [
    'key' => [
        'warning' => '似乎您已配置应用程序加密密钥。继续此操作将覆盖密钥并损坏已加密数据。请了解您所执行的操作后再决定是否继续！！！',
        'confirm' => '我已了解执行此操作的后果并承受丢失加密数据的风险，请继续。',
        'final_confirm' => '确您是否决定继续？更改应用程序加密密钥将导致数据丢失！！！',
    ],
    'location' => [
        'no_location_found' => '无法找到与提供的代码匹配的记录。',
        'ask_short' => '地区代码',
        'ask_long' => '地区描述',
        'created' => '已成功创建地区（:name），编号为 :id。',
        'deleted' => '已成功删除请求的地区。',
    ],
    'user' => [
        'search_users' => '请输入用户名、UUID 或电子邮件地址',
        'select_search_user' => '待删除的用户编号（请键入 \'0\' 来重新搜索）',
        'deleted' => '已成功从面板删除用户。',
        'confirm_delete' => '您是否想从面板中删除此用户？',
        'no_users_found' => '未找到匹配搜索项的用户。',
        'multiple_found' => '已找到多个匹配搜索项的用户，由于 --no-interaction 参数而无法删除。',
        'ask_admin' => '此用户是否为管理员？',
        'ask_email' => '电子邮件地址',
        'ask_username' => '用户名',
        'ask_name_first' => '姓氏',
        'ask_name_last' => '名称',
        'ask_password' => '密码',
        'ask_password_tip' => '若您想创建用户并稍后发送生成的随机密码给用户，请重新运行此命令（CTRL+C）并添加 `--no-password` 参数。',
        'ask_password_help' => '密码长度必须至少为八位且包含至少一位大写字母和数字。',
        '2fa_help_text' => [
            '此命令将关闭账户的两步验证（若启用）。此命令应作为账户被锁定时的恢复措施。',
            '若您不想这么做，请使用 CTRL+C 退出进程。',
        ],
        '2fa_disabled' => '已成功为 :email 禁用两步验证。',
    ],
    'schedule' => [
        'output_line' => '首次任务将于 `:schedule`（:hash）后执行。',
    ],
    'maintenance' => [
        'deleting_service_backup' => '正在删除服务备份文件 :file。',
    ],
    'server' => [
        'rebuild_failed' => '节点 ":node" 上的重构操作 ":name"（#:id） 发生了 :message 错误。',
        'power' => [
            'confirm' => '您将在 :count 台服务器上执行 :action 操作。是否继续？',
            'action_failed' => '节点 ":node" 上的电源命令 ":name"（#:id） 发生了 :message 错误。',
        ],
    ],
    'environment' => [
        'mail' => [
            'ask_smtp_host' => 'SMTP 主机（如 smtp.gmail.com）',
            'ask_smtp_port' => 'SMTP 端口',
            'ask_smtp_username' => 'SMTP 用户名',
            'ask_smtp_password' => 'SMTP 密码',
            'ask_mailgun_domain' => 'Mailgun 域名',
            'ask_mailgun_secret' => 'Mailgun 密钥',
            'ask_mandrill_secret' => 'Mandrill 密钥',
            'ask_postmark_username' => 'Postmark API 密钥',
            'ask_driver' => '应使用哪款引擎发送邮件？',
            'ask_mail_from' => '电子邮件地址的邮件发信人为',
            'ask_mail_name' => '电子邮件的显示发信人为',
            'ask_encryption' => '加密方法',
        ],
        'database' => [
            'host_warning' => '由于经常发生套接字连接错误，我们极度不推荐您使用 “localhost” 作为数据库主机地址。若您仍想使用本地连接则应使用 “127.0.0.1”。',
            'host' => '数据库主机',
            'port' => '数据库端口',
            'database' => '数据库名',
            'username_warning' => '不仅翼龙面板不允许使用 "root" 账户连接 MySQL 数据库，且这将产生严重安全漏洞。您应为此软件单独创建 MySQL 账户。',
            'username' => '数据库用户名',
            'password_defined' => '您似乎已创建了带有密码的 MySQL 连接，您是否想更改？',
            'password' => '数据库密码',
            'connection_error' => '无法使用提供的凭证连接 MySQL 服务器。 返回的错误为 ":error"。',
            'creds_not_saved' => '您的数据库访问凭证尚未保存。您需要在继续前提供有效的连接信息。',
            'try_again' => '是否返回重试？',
        ],
        'app' => [
            'settings' => '是否启用可视化设置编辑器？',
            'author' => '管理模板作者电子邮件地址',
            'author_help' => '提供从此面板导出管理模板人员的电子邮件地址。此电子邮件地址必须合法。',
            'app_url_help' => '根据您是否启用 SSL 来决定此应用程序的 URL 应为 https:// 或 http://。若您选择错误，您的电子邮件及其他内容将指向到错误地址。',
            'app_url' => '应用程序 URL',
            'timezone_help' => '时区应匹配 PHP 所支持的时区。 如果您不确定，请参阅 http://php.net/manual/en/timezones.php。',
            'timezone' => '应用程序时区',
            'cache_driver' => '缓存驱动程序',
            'session_driver' => '会话驱动程序',
            'queue_driver' => '队列驱动程序',
            'using_redis' => '若您选择使用 Redis，请在下方提供有效的连接信息。在您未更改设置的大多数情况下，您均可使用默认值。',
            'redis_host' => 'Redis 主机',
            'redis_password' => 'Redis 密码',
            'redis_pass_help' => '默认情况下，Redis 服务器实例无需密码且在本地运行禁止外界访问。这种情况下，您只需回车即可。',
            'redis_port' => 'Redis 端口',
            'redis_pass_defined' => '您似乎已为 Redis 配置了密码，您是否想更改？',
        ],
    ],
];
